<?php
include "../conecta.php";

echo "<html><body>";

// print_r($_POST);

// CRIA FORMULARIO COM TODOS OS CAPOS QUE VEIO DO POST


if($_GET[iframe]=='0'){
	system('PORTA_COM.BAT');
	exit;
} else {
	echo "<iframe width=200 height=100 id=iframe style='display:none;' frameborder=yes></iframe>";

}
echo "<form style='margin: 0px;' id=cadastro name=\"cadastro\" method=\"POST\" action=\"../pdv/pdv.php\">";

foreach ($_POST as $a => $b) {
	echo '<input type="hidden" name="'.$a.'" value="'.$b.'">';

}

$a_prod = carregar('produto,unidade',$_POST[id_produto]);
if( strtoupper($a_prod[unid_tx_nome]) != 'KG' ) {
	echo "<script>window.document.cadastro.submit();</script>";
	
// SOH CHAMA O FORMULARIO PRA PASSAR OS DADOS DE VOLTA PRA O CADASTRO DE PRODUTO DO PDV

} else {
echo "<center><br><br><br><br><h1>Lendo balança...</h1></center>";
// FAZ ESSE PROCEDIMENTO TODO PARA LER A BALANCA
echo "<input type=text style='width:0px;height:0px;size:0;' id=campo name=peso>";
// echo "<input type=submit>";
}


echo "</form>";
echo "</body></html>";

?>

<script type="text/javascript">
	window.onload=function() {
			// if(<?=$sem_kilo?>!=1){
				window.document.getElementById('campo').focus();
				window.document.getElementById('iframe').src='teste2.php?iframe=0';
			// }
			// window.document.cadastro.submit();
			setTimeout(function(){ window.document.cadastro.submit(); }, 1000);
	}
</script>